import { Sequelize } from 'sequelize';

const sequenceNumber = {
    id: {
        type: Sequelize.INTEGER,
        primaryKey: true,
        autoIncrement: true,
    },
    sequenceNumber: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0,
    },
    maximumSequenceNumber: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0,
    },
    model: {
        type: Sequelize.STRING,
    },
};

export default (sequelize) => {
    const sequenceNumbers = sequelize.define(
        'FDsequenceNumber',
        sequenceNumber,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
    return sequenceNumbers;
};
