import { Sequelize } from 'sequelize';

const suppliers = {
    sequenceNumber: {
        type: Sequelize.INTEGER,
        allowNull: false,
    },
    companyGln: {
        type: Sequelize.STRING,
    },
    name: {
        type: Sequelize.STRING,
    },
    commercialName: {
        type: Sequelize.STRING,
        allowNull: false,
    },
    email: {
        type: Sequelize.STRING,
    },
    phone: {
        type: Sequelize.STRING,
    },
    website: {
        type: Sequelize.STRING,
    },
    organizationId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    rfhRelationId: {
        type: Sequelize.INTEGER,
    },
    paymentProviders: {
        type: Sequelize.STRING,
    },
    endDate: {
        type: Sequelize.DATE,
    },
    mailingAddress: {
        type: Sequelize.JSON,
    },
    physicalAddress: {
        type: Sequelize.JSON,
    },
    pythosanitaryNumber: {
        type: Sequelize.STRING,
    },
    organizationType: {
        type: Sequelize.STRING,
    },
    isConnected: {
        type: Sequelize.BOOLEAN,
        defaultValue: false,
    },
};

export default (sequelize) => {
    const Suppliers = sequelize.define('FDsuppliers', suppliers, {
        timestamps: false,
        freezeTableName: true,
    });
    return Suppliers;
};